#!/bin/bash
echo -e "\n# BioDataScience2 v2.1.0 installation…"

# Preparation
sudo -A ls > /dev/null
sudo svpreinstall > /dev/null
install_ok="yes"
notify-send "BioDataScience2 installation" "Please wait: configuration in course... You can continue your work in the meantime."

#echo -e "\n* Checking Github is accessible..."
#if nc -zw1 github.com 443; then
#  echo "... OK"
#else
#  echo "ERROR: no Internet connection or github.com not accessible."
#fi

# R package installation
echo -e "\n## Installing the BioDataScience R package..."
#R -q -e 'remotes::install_github("BioDataScience-Course/BioDataScience")'
R -q -e 'if (suppressWarnings(!require(BioDataScience, quietly = TRUE))) install.packages("BioDataScience.tar.gz", repos = NULL)'
R -q -e 'library(BioDataScience)' &> /dev/null || {
    install_ok="no"
    echo "ERROR: BioDataScience R package not installed!"
}

echo -e "\n## Installing the BioDataScience2 R package..."
#R -q -e 'remotes::install_github("BioDataScience-Course/BioDataScience2")'
R -q -e 'if (suppressWarnings(!require(BioDataScience2, quietly = TRUE))) install.packages("BioDataScience2.tar.gz", repos = NULL)'
R -q -e 'library(BioDataScience2)' &> /dev/null || {
    install_ok="no"
    echo "ERROR: BioDataScience R package not installed!"
}

# Other tasks
echo -e "\n## (Re)installing Hugo for the blogdown R package..."
R -q -e 'blogdown::install_hugo(force = TRUE)' || {
    install_ok="no"
    echo "ERROR: blogdown::install_hugo() did not succeed in R!"
}

# Final message
if [ $install_ok == "yes" ]; then
    echo "BioDataScience(2) installed... use 'BioDataScience::run()' or 'BioDataScience2::run()' in R for a list of tutorials."
    notify-send "BioDataScience2 installation" "BioDataScience installed... use 'BioDataScience::run()' or 'BioDataScience2::run()' in R for a list of tutorials."
else
    echo "BioDataScience(2) NOT installed... Check $(pwd)/autoinstall.log for details."
    notify-send "BioDataScience2 installation" "ioDataScience(2) NOT installed... Check $(pwd)/autoinstall.log for details."
 fi
