#!/bin/bash
echo -e "n# BioDataScience2 uninstallation…"

# Preparation
sudo -A ls > /dev/null
sudo svpreuninstall > /dev/null
uninstall_ok="yes"
notify-send "BioDataScience2 uninstallation" "Please wait: process in course... You can continue your work in the meantime."

# Remove R packages
echo -e "\n## Removing the BioDataScience R package..."
R -q -e 'if (suppressWarnings(require(BioDataScience, quietly = TRUE))) remove.packages("BioDataScience")' || {
    uninstall_ok="no"
    echo "ERROR: problem when uninstalling the BioDataScience R package!"
}
echo -e "\n## Removing the BioDataScience2 R package..."
R -q -e 'if (suppressWarnings(require(BioDataScience2, quietly = TRUE))) remove.packages("BioDataScience2")' || {
    uninstall_ok="no"
    echo "ERROR: problem when uninstalling the BioDataScience2 R package!"
}

# Uninstall Hugo (if in /home/sv/bin) but no check if it is there or not!
echo -e "\n## Removing Hugo from /home/sv/bin..."
rm -f /home/sv/bin/hugo
if test -n "$(find /home/sv/bin/ -maxdepth 0 -empty)" ; then
    rm -df /home/sv/bin
fi

# Final message
if [ $uninstall_ok == "yes" ]; then
    echo "BioDataScience2 uninstalled..."
    notify-send "BioDataScience2 uninstallation" "BioDataScience and BioDataScience2 R packages uninstalled now."
else
    echo "BioDataScience2 NOT properly uninstalled..."
    notify-send "BioDataScience2 uninstallation" "For some reasons, BioDataScience and BioDataScience2 R packages did not uninstalled properly."
fi
